Package com.emc.d2fs.interfaces

# Interface IConditionActionService

All Superinterfaces:
  `ID2fsService`

public interface IConditionActionService extends ID2fsService
Condition ACTION Service provides access to ICondition and IDynamicAction evaluation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evalCondition(Context context, List<Attribute> parameters)`
  Evaluate the corresponding ICondition's implementation ICondition is mainly used by UI components, such as Menu or Dialog
  `List<Attribute>`
  `evalDynamicAction(Context context, List<Attribute> parameters)`
  Evaluate the corresponding IDynamicAction's implementation IDynamicAction is mainly used by UI components, such as Menu to create a message that can be parsed as OpenAjaxMessage

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### evalCondition

    boolean evalCondition(Context context, List<Attribute> parameters) throws Exception
    Evaluate the corresponding ICondition's implementation ICondition is mainly used by UI components, such as Menu or Dialog
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of parameters.
      - class: DF_STRING, Full Class Name of the com.emc.d2fs.dctm.ui.conditions.ICondition.
      - equals: DF_STRING, true or false to compare expected validation return and invert condition result
      - value: DF_STRING, some condition may rely on a value comparison check
      - parameter: DF_STRING, some condition may rely on this to define the input parameters
      - default: DF_STRING, some condition may rely on this to output as default in case validation cannot be done
      - redirectReference: DF_STRING, [if present possible value is "SOURCE"] some condition may rely on this on point automatically to the right repository and source object
    Returns:
      boolean result of condition evaluation
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### evalDynamicAction

    List<Attribute> evalDynamicAction(Context context, List<Attribute> parameters) throws Exception
    Evaluate the corresponding IDynamicAction's implementation IDynamicAction is mainly used by UI components, such as Menu to create a message that can be parsed as OpenAjaxMessage
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parameters` - `Attribute` list of parameters.
      - class: DF_STRING, Full Class Name of the com.emc.d2fs.dctm.ui.dynamicactions.ICondition.
      - action: DF_STRING, if present the result of eval will be concatenated up front to this.
    Returns:
      Attribute list so dynamic action can change initial parameter's input or add new attributes, action attribute would anyway contain the result message to convert in OpenAjaxMessage
    Throws:
      `Exception`
    Since:
      4.2.1